/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#include "TaskItem.h"
#include "core/TodoMd.h"

QString QMLTasksFile::getName()
{
	return QString::fromStdString(tasksFile->getName());
}

QString QMLTasksFile::getPath()
{
	return QString::fromStdString(tasksFile->getPath());
}

QString QMLTaskItem::getRawFormat()
{
	return QString::fromStdString(mirai::TodoMdFormat::TaskToString(*taskItem));
}

QString QMLTaskItem::getText()
{
	return QString::fromStdString(taskItem->getText());
}

QString QMLTaskItem::getState()
{
	return QString::fromStdString(taskItem->getState() == mirai::TODO ? "TODO" : "DONE");
}

QString QMLTaskItem::getDate()
{
	return QString::fromStdString(taskItem->getDate());
}

QString QMLTaskItem::getTime()
{
	if (taskItem->getStartTime() != "" && taskItem->getEndTime() != "") {
		return QString::fromStdString(taskItem->getStartTime() + "-" + taskItem->getEndTime());
	}
	return "";
}

QList<QString> QMLTaskItem::getTags()
{
	return tags;
}

bool QMLTaskItem::getShouldShowDate()
{
	return shouldShowDate;
}
