/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#ifndef QML_TASKITEM_H
#define QML_TASKITEM_H

#include "QtCore/qvariant.h"
#include <QtCore/QString>
#include <QtQml/qqmlregistration.h>
#include <memory>

#include "core/TaskItem.h"
#include "core/TasksFile.h"

struct QMLTasksFile {

	Q_GADGET
	Q_PROPERTY(QString name READ getName)
	Q_PROPERTY(QString path READ getPath)
	QML_VALUE_TYPE(tasksFile)

  public:
	QString getName();
	QString getPath();

	mirai::TasksFile *tasksFile;
};

struct QMLTaskItem {

	Q_GADGET
	Q_PROPERTY(QString rawFormat READ getRawFormat)
	Q_PROPERTY(QString text READ getText)
	Q_PROPERTY(QString state READ getState)
	Q_PROPERTY(QString date READ getDate)
	Q_PROPERTY(QList<QString> tags READ getTags)
	Q_PROPERTY(bool shouldShowDate READ getShouldShowDate)
	Q_PROPERTY(QString time READ getTime)
	QML_VALUE_TYPE(taskItem)

  public:
	QString getText();
	QString getRawFormat();
	QString getState();
	QString getDate();
	QString getTime();
	QList<QString> getTags();
	bool getShouldShowDate();

	mirai::TaskItem *taskItem;
	bool shouldShowDate = false;
	QList<QString> tags;
};

#endif
