/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

import QtQuick
import QtQuick.Window
import QtQuick.Layouts
import Mirai

RowLayout {
	id: control
	property var tabs: []

	Repeater {
		model: tabs
		
		Item {
			Layout.fillWidth: true
			Layout.preferredHeight: childrenRect.height
			ColumnLayout {
				anchors.left: parent.left
				anchors.right: parent.right
				AppText {
					horizontalAlignment: Text.AlignHCenter
					Layout.fillWidth: true
					id: tabText
					text: modelData.label
					font.pointSize: 24
				}
				
				Rectangle {
					Layout.fillWidth: true
					color: modelData.selected ? "white" : mouse.hovered ? MiraiColorPalette.filterHovered : "transparent"
					implicitHeight: 2
				}
			}

			MouseArea {
				anchors.fill: parent
				onClicked: {
					modelData?.onClick()
				}

				HoverHandler {
					id: mouse
					acceptedDevices: PointerDevice.Mouse | PointerDevice.TouchPad
					cursorShape: Qt.PointingHandCursor
				}
			}
			
		}
		
	}

	
}
